Sunday, 9 February 2014

Compile any wallet for coins based on Scrypt

Here a little tutorial how to compile for you linux the wallet, because I always found instructions for windows, at least a binary ready but nothing about how to compile it for linux.

After hours and hours of googling, I ended up on this website, that explains step by step what to do.

I am going to write the simple steps that always worked for me, in case you have trouble you might want to check the website.

1) Get all needed software

sudo apt-get install build-essential libssl-dev \

libdb-dev libdb++-dev libboost-all-dev \libqrencode-dev qt4-qmake libqtgui4 libqt4-dev

2) Check out your wallet's source code

git clone <git source>


3) Compile the wallet

Enter the folder of your source code and type:

then just type:

If everything goes well, you should have the binary on the current folder, for Dogecoin would be dogecoin-qt.

That's all, I hope that this little guide has been helpful and you won't google for hours and hours to find the solution.

--------    Other problems --------------

  • Permission Denied
    Example output of the error:
    /bin/sh: 1: ./build_detect_platform: Permission denied

    chmod 755 src/leveldb/build_detect_platform